---
features:
  secondary:
    - name: "Omnibus improvements"
      available_in: [core, premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/omnibus/'
      reporter: dorrino
      stage: systems
      categories:
      - 'Omnibus Package'
      description: |
        - In GitLab 17.0, the minimum-supported version of PostgreSQL will become 14. In preparation for this change, in GitLab 16.11 we have changed the
          `attempt_auto_pg_upgrade?` setting to `true`, which will attempt to automatically upgrade the version of PostgreSQL to 14.

          This process is the same as for last time we bumped the minimum-supported PostgreSQL version.
